Subject: Re: input/output character mapping in Unix-Pine

From: David L Miller <[email-masked]>
Date: Fri, 19 Nov 1993 12:17:46 -0800 (PST)

Christer,

Sorry about the delayed reply.  The character mapping was a desparately
needed last minute enhancement added to PC-Pine.  As we get more
experience with it, we will decide when/how/if we want to add further
character set translation to Unix Pine.  I am also not sure how well 
ISO-646-SE terminals will work with Pine, since Pine relies on "{}|[]" 
for context management and such.  Of course, this is not usually of 
concern to novice users and I assume that power users know how to bypass 
the problem...

Thanks for the suggestion!

--DLM

|\ |  |\/|  David L. Miller    [email-masked]  (206) 685-6240
|/ |_ |  |  Software Engineer, Pine Development Team   (206) 685-4045 (FAX)
University of Washington, Networks & Distributed Computing
4545 15th Ave NE, Seattle WA 98105, USA

On Mon, 25 Oct 1993, Christer Lindh wrote:

> A long time ago I wished for input/output character mapping for Pine
> (back then it was UNIX only). Now I see that you have put it in, but
> unfortunately for PC only!!
> 
> With a slight generalization of this it becomes usable for UNIX as
> well. Example; we would use it for users that have old terminals with
> ISO 646-SE, the swedish 7bit charset where "{}|[]\" are replaced by
> our national characters. I want to map these users input/output
> to/from ISO 8859-1 else they can't read mails using 8859/1 and what
> they write will become incomprehensible when viewed on a 8bit
> terminal. (It'll look like a C-program...)
> 
> It seems I could use the PC-mapping stuff if it became enabled for
> UNIX as well.
> 
> And why are the maps named by two env variables and not by entries in
> the pinerc-file like all other options?
> 
> --
> ::       [email-masked]       ::   o/        ::                      ::
> :: Abalon AB, Stockholm, Sweden ::  /@         ::        Earth.        ::
> ::       (MIME compliant)       ::  /!>        :: Love it or leave it. ::
> ::   * All disclaimers apply *  ::   !  climb! ::                      ::